<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Logger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_logger.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_logger-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Logger Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Base logger class.  
 <a href="class_logger.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_logging_8h_source.html">Logging.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Logger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_logger.png" usemap="#Logger_map" alt=""/>
  <map id="Logger_map" name="Logger_map">
<area href="class_stdout_logger.html" title="Simple logger that writes to stdout and stderr. " alt="StdoutLogger" shape="rect" coords="0,56,87,80"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a5209ca5ee1a2a8181287485e950cf381"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a> { <br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381aca09a23920b7567780c73d5e6ef30568">kUrgent</a>, 
<br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a30bcc9bfa9b1cd8f269c6763287209cc">kError</a>, 
<br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a8e3ed7030f92b6542e5354e937f2e0ee">kWarning</a>, 
<br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381ae2dae72bbbe478b4ece96ee72ce613ec">kInfo</a>, 
<br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a0e22aade4d30c09d021b81f88e422d59">kInfo2</a>, 
<br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381abb93ac9bb74b3ce94a909b7362db37b4">kDebug</a>, 
<br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a7059bc37726a537e725116d79d149cb3">kDebug2</a>, 
<br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381ade1be3a5625f4037711f67c7064905d2">kInfo1</a>, 
<br />
&#160;&#160;<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381a894c8bec70d9093570638d698983d86f">kDebug1</a>
<br />
 }<tr class="memdesc:a5209ca5ee1a2a8181287485e950cf381"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logging levels.  <a href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a5209ca5ee1a2a8181287485e950cf381"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abc41bfb031d896170c7675fa96a6b30c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc41bfb031d896170c7675fa96a6b30c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#abc41bfb031d896170c7675fa96a6b30c">Logger</a> ()</td></tr>
<tr class="memdesc:abc41bfb031d896170c7675fa96a6b30c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:abc41bfb031d896170c7675fa96a6b30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93f62ca3e47716b7120acb032a260f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae93f62ca3e47716b7120acb032a260f3"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#ae93f62ca3e47716b7120acb032a260f3">~Logger</a> ()</td></tr>
<tr class="memdesc:ae93f62ca3e47716b7120acb032a260f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:ae93f62ca3e47716b7120acb032a260f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Logging levels</div></td></tr>
<tr class="memitem:a86a9875a4e4aae6670f16237e651ba3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86a9875a4e4aae6670f16237e651ba3a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a86a9875a4e4aae6670f16237e651ba3a">setFilterLevel</a> (<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a> level)</td></tr>
<tr class="memdesc:a86a9875a4e4aae6670f16237e651ba3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the logging level to <em>level</em>. <br /></td></tr>
<tr class="separator:a86a9875a4e4aae6670f16237e651ba3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65f0668007317623100b0eac42ae6796"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65f0668007317623100b0eac42ae6796"></a>
<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a65f0668007317623100b0eac42ae6796">getFilterLevel</a> () const </td></tr>
<tr class="memdesc:a65f0668007317623100b0eac42ae6796"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current logging filter level. <br /></td></tr>
<tr class="separator:a65f0668007317623100b0eac42ae6796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fcf77f7190217a3a277f75196cf4c0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fcf77f7190217a3a277f75196cf4c0e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a2fcf77f7190217a3a277f75196cf4c0e">setOutputLevel</a> (<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a> level)</td></tr>
<tr class="memdesc:a2fcf77f7190217a3a277f75196cf4c0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the logging output level to <em>level</em>. <br /></td></tr>
<tr class="separator:a2fcf77f7190217a3a277f75196cf4c0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cb967d830ff2cff918ce4eb67154301"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cb967d830ff2cff918ce4eb67154301"></a>
<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a9cb967d830ff2cff918ce4eb67154301">getOutputLevel</a> () const </td></tr>
<tr class="memdesc:a9cb967d830ff2cff918ce4eb67154301"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current logging output level. <br /></td></tr>
<tr class="separator:a9cb967d830ff2cff918ce4eb67154301"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Logging</div></td></tr>
<tr class="memitem:a4e63cbc1d6d8f374afe1d3e12b5f5842"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e63cbc1d6d8f374afe1d3e12b5f5842"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a4e63cbc1d6d8f374afe1d3e12b5f5842">log</a> (const char *fmt,...)</td></tr>
<tr class="memdesc:a4e63cbc1d6d8f374afe1d3e12b5f5842"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> with format. <br /></td></tr>
<tr class="separator:a4e63cbc1d6d8f374afe1d3e12b5f5842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe002bd6711ae3ad60d76caabbe32a50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe002bd6711ae3ad60d76caabbe32a50"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#afe002bd6711ae3ad60d76caabbe32a50">log</a> (const string &amp;msg)</td></tr>
<tr class="memdesc:afe002bd6711ae3ad60d76caabbe32a50"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a string object. <br /></td></tr>
<tr class="separator:afe002bd6711ae3ad60d76caabbe32a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28c8c541a0e97a275b9348613b1321fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28c8c541a0e97a275b9348613b1321fd"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a28c8c541a0e97a275b9348613b1321fd">log</a> (<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a> level, const char *fmt,...)</td></tr>
<tr class="memdesc:a28c8c541a0e97a275b9348613b1321fd"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> with format at a specific output level. <br /></td></tr>
<tr class="separator:a28c8c541a0e97a275b9348613b1321fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa720230cbaa6ac20b9b1ec0625b624b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa720230cbaa6ac20b9b1ec0625b624b"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#aaa720230cbaa6ac20b9b1ec0625b624b">log</a> (<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a> level, const string &amp;msg)</td></tr>
<tr class="memdesc:aaa720230cbaa6ac20b9b1ec0625b624b"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> a string output at a specific output level. <br /></td></tr>
<tr class="separator:aaa720230cbaa6ac20b9b1ec0625b624b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab18355845aa189c9cfb6a6b86b8c8868"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab18355845aa189c9cfb6a6b86b8c8868"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#ab18355845aa189c9cfb6a6b86b8c8868">log</a> (const char *fmt, va_list args)</td></tr>
<tr class="memdesc:ab18355845aa189c9cfb6a6b86b8c8868"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> with format using an argument list. <br /></td></tr>
<tr class="separator:ab18355845aa189c9cfb6a6b86b8c8868"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00e886cc5cc5f7ea1058412eddee6da1"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a00e886cc5cc5f7ea1058412eddee6da1">log</a> (<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a> level, const char *fmt, va_list args)</td></tr>
<tr class="memdesc:a00e886cc5cc5f7ea1058412eddee6da1"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> with format using an argument with a specific output level.  <a href="#a00e886cc5cc5f7ea1058412eddee6da1">More...</a><br /></td></tr>
<tr class="separator:a00e886cc5cc5f7ea1058412eddee6da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a696a0e952b85574c4e31c9e554838e3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a696a0e952b85574c4e31c9e554838e3e"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a696a0e952b85574c4e31c9e554838e3e">_log</a> (<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">Logger::log_level_t</a> level, const char *msg)=0</td></tr>
<tr class="memdesc:a696a0e952b85574c4e31c9e554838e3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The base pure virtual logging function implemented by subclasses. <br /></td></tr>
<tr class="separator:a696a0e952b85574c4e31c9e554838e3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a1cae1fe08a7e386fd0539f61658d3a1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cae1fe08a7e386fd0539f61658d3a1f"></a>
<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a1cae1fe08a7e386fd0539f61658d3a1f">m_filter</a></td></tr>
<tr class="memdesc:a1cae1fe08a7e386fd0539f61658d3a1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current logging filter level. <br /></td></tr>
<tr class="separator:a1cae1fe08a7e386fd0539f61658d3a1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02dcc6a005e650891bbfb8c76e590185"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02dcc6a005e650891bbfb8c76e590185"></a>
<a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_logger.html#a02dcc6a005e650891bbfb8c76e590185">m_level</a></td></tr>
<tr class="memdesc:a02dcc6a005e650891bbfb8c76e590185"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current log output level. <br /></td></tr>
<tr class="separator:a02dcc6a005e650891bbfb8c76e590185"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base logger class. </p>
<p>There are two types of logging levels that are used by this class. First there is the filter level. Any log message that is assigned a level higher than the current filter level is discarded. Secondly there is the current output level. <a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> messages that do not have their own level use the current output level to determine if they should be shown or not.</p>
<p>The two methods <a class="el" href="class_logger.html#a86a9875a4e4aae6670f16237e651ba3a" title="Changes the logging level to level. ">setFilterLevel()</a> and <a class="el" href="class_logger.html#a2fcf77f7190217a3a277f75196cf4c0e" title="Changes the logging output level to level. ">setOutputLevel()</a> set the filter and default output logging levels, respectively. There are corresponding getter methods as well. Both the filter and output levels are initialized to <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381ae2dae72bbbe478b4ece96ee72ce613ec" title="The normal log level, for status messages. ">kInfo</a> during object construction.</p>
<p>Most use of the logger classes is expected to be through the <a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> class. It provides static logging methods that call through to a global singleton logger instance. There is also a <a class="el" href="class_log_1_1_set_output_level.html" title="Utility class to temporarily change the logging output level. ">Log::SetOutputLevel</a> utility class that makes it extremely easiy to temporarily change the default output logging level.</p>
<p>Of all the overloaded <a class="el" href="class_logger.html#a4e63cbc1d6d8f374afe1d3e12b5f5842" title="Log with format. ">log()</a> methods in this class, none of them are really expected to be reimplemented by subclasses. Instead, there is the single protected <a class="el" href="class_logger.html#a696a0e952b85574c4e31c9e554838e3e" title="The base pure virtual logging function implemented by subclasses. ">_log()</a> method that takes a simple string pointer. The other log methods all wind up calling <a class="el" href="class_logger.html#a696a0e952b85574c4e31c9e554838e3e" title="The base pure virtual logging function implemented by subclasses. ">_log()</a>, so it provides a single point to override. In fact, <a class="el" href="class_logger.html#a696a0e952b85574c4e31c9e554838e3e" title="The base pure virtual logging function implemented by subclasses. ">_log()</a> is pure virtual, so subclasses must implement it.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> </dd></dl>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">Logger::log_level_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Logging levels. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381aca09a23920b7567780c73d5e6ef30568"></a>kUrgent&#160;</td><td class="fielddoc">
<p>The lowest level, for messages that must always be logged. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381a30bcc9bfa9b1cd8f269c6763287209cc"></a>kError&#160;</td><td class="fielddoc">
<p>For fatal error messages. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381a8e3ed7030f92b6542e5354e937f2e0ee"></a>kWarning&#160;</td><td class="fielddoc">
<p>For non-fatal warning messages. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381ae2dae72bbbe478b4ece96ee72ce613ec"></a>kInfo&#160;</td><td class="fielddoc">
<p>The normal log level, for status messages. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381a0e22aade4d30c09d021b81f88e422d59"></a>kInfo2&#160;</td><td class="fielddoc">
<p>For verbose status messages. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381abb93ac9bb74b3ce94a909b7362db37b4"></a>kDebug&#160;</td><td class="fielddoc">
<p>For internal reporting. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381a7059bc37726a537e725116d79d149cb3"></a>kDebug2&#160;</td><td class="fielddoc">
<p>Highest log level; verbose debug logging. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381ade1be3a5625f4037711f67c7064905d2"></a>kInfo1&#160;</td><td class="fielddoc">
<p>Alias for <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381ae2dae72bbbe478b4ece96ee72ce613ec" title="The normal log level, for status messages. ">kInfo</a>. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5209ca5ee1a2a8181287485e950cf381a894c8bec70d9093570638d698983d86f"></a>kDebug1&#160;</td><td class="fielddoc">
<p>Alias for <a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381abb93ac9bb74b3ce94a909b7362db37b4" title="For internal reporting. ">kDebug</a>. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a00e886cc5cc5f7ea1058412eddee6da1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Logger::log </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_logger.html#a5209ca5ee1a2a8181287485e950cf381">log_level_t</a>&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>fmt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">va_list&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="class_log.html" title="Wraps a set of static functions for easy global logging access. ">Log</a> with format using an argument with a specific output level. </p>
<p>Allocates a temporary buffer which is used to hold the formatted string. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_logging_8h_source.html">Logging.h</a></li>
<li>Logging.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
